Permalink
Fetching contributors…
Cannot retrieve contributors at this time
63 lines (41 sloc) 1.57 KB
0.9.0 Dec 5, 2014 - Early gecko
- Remove ruby warnings when $VERBOSE=true and in Ruby 2.0 and 2.1
0.8.9 Apr 19, 2014 - the Martin Davis
- Add columnize method to Array class and a place to set its default options
- Add option :colfmt to allow a format specifier to use (e.g. '%02d') in stringifying
list items
- Add option linesuffix (default is "\n")
- When using arrange_array each line now has trailing ","
0.3.6 Dec 17, 2011
- rename version.rb columnize/version.rb so as not to conflict with
another package called version
- Administrivia - shorten gemcutter description
0.3.5 Nov 24, 2011
- Handle situation where an array element is larger than the display width.
0.3.4 July 4, 2011
- Change to Ruby License
- Add option 'term_adjust' to ignore terminal sequences in text
- Add :ljust => :auto to decide whether or not to automatically
left or right justify. When passing a hash parameter, the default
is :auto.
0.3.3 June 12, 2011 Fleetwood release
- More general but simpler inteface using an options
hash. Compatibility is maintaind though.
0.3.2
- Mostly Administrivia.
* Add .gemspec, correct description field and add a summary.
* Add Columnize::VERSION
* Simplify Rakefile
* Add stub Makefiles
0.3.1 (01-07-26)
- Correct for Ruby 1.9 (Mark Moseley)
- add optional lineprefix parameter
0.3.0 (01-10-09) - Sam Woodward Release
- Fix bad bug in arranging horizontally
0.2.1 (12-31-08)
- Add ability to run columns horizontally
0.2
- Minor - get rid of hacky $0 test
0.1
- Initial release of Columnize, a module to print an Array in
column-sorted order